scala

# Double

#### object Double extends AnyValCompanion

Source
  Double.scala

Linear Supertypes
AnyValCompanion, Specializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Double
2. AnyValCompanion
3. Specializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val MaxValue: Double(1.7976931348623157E308)

   The largest finite positive number representable as a Double.

5. #### final val MinPositiveValue: Double(4.9E-324)

   The smallest positive value greater than 0.0d which is representable as a Double.

6. #### final val MinValue: Double

   The negative number with the greatest (finite) absolute value which is representable by a Double.

   The negative number with the greatest (finite) absolute value which is representable by a Double. Note that it differs from java.lang.Double.MIN_VALUE, which is the smallest positive value representable by a Double. In Scala that number is called Double.MinPositiveValue.

7. #### final val NaN: Double(NaN)

8. #### final val NegativeInfinity: Double(-Infinity)

9. #### final val PositiveInfinity: Double(Infinity)

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def box(x: Double): java.lang.Double

    Transform a value type into a boxed reference type.

    Transform a value type into a boxed reference type.

    Runtime implementation determined by `scala.runtime.BoxesRunTime.boxToDouble`. See src/library/scala/runtime/BoxesRunTime.java.

    x

      the Double to be boxed

    returns

      a java.lang.Double offering `x` as its underlying value.

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    The String representation of the scala.Double companion object.

    The String representation of the scala.Double companion object.

    Definition Classes
      Double → AnyRef → Any

24. #### def unbox(x: AnyRef): Double

    Transform a boxed type into a value type.

    Transform a boxed type into a value type. Note that this method is not typesafe: it accepts any Object, but will throw an exception if the argument is not a java.lang.Double.

    Runtime implementation determined by `scala.runtime.BoxesRunTime.unboxToDouble`. See src/library/scala/runtime/BoxesRunTime.java.

    x

      the java.lang.Double to be unboxed.

    returns

      the Double resulting from calling doubleValue() on `x`

    Exceptions thrown
      ClassCastException

      if the argument is not a java.lang.Double

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyValCompanion

### Inherited from Specializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped